#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(cxgb4_alloc_atid, "", "");
KSYMTAB_FUNC(cxgb4_free_atid, "", "");
KSYMTAB_FUNC(cxgb4_alloc_stid, "", "");
KSYMTAB_FUNC(cxgb4_alloc_sftid, "", "");
KSYMTAB_FUNC(cxgb4_free_stid, "", "");
KSYMTAB_FUNC(cxgb4_remove_tid, "", "");
KSYMTAB_FUNC(cxgb4_create_server, "", "");
KSYMTAB_FUNC(cxgb4_create_server6, "", "");
KSYMTAB_FUNC(cxgb4_remove_server, "", "");
KSYMTAB_FUNC(cxgb4_best_mtu, "", "");
KSYMTAB_FUNC(cxgb4_best_aligned_mtu, "", "");
KSYMTAB_FUNC(cxgb4_port_chan, "", "");
KSYMTAB_FUNC(cxgb4_port_e2cchan, "", "");
KSYMTAB_FUNC(cxgb4_dbfifo_count, "", "");
KSYMTAB_FUNC(cxgb4_port_viid, "", "");
KSYMTAB_FUNC(cxgb4_port_idx, "", "");
KSYMTAB_FUNC(cxgb4_get_tcp_stats, "", "");
KSYMTAB_FUNC(cxgb4_flush_eq_cache, "", "");
KSYMTAB_FUNC(cxgb4_sync_txq_pidx, "", "");
KSYMTAB_FUNC(cxgb4_read_tpte, "", "");
KSYMTAB_FUNC(cxgb4_read_sge_timestamp, "", "");
KSYMTAB_FUNC(cxgb4_bar2_sge_qregs, "", "");
KSYMTAB_FUNC(cxgb4_create_server_filter, "", "");
KSYMTAB_FUNC(cxgb4_remove_server_filter, "", "");
KSYMTAB_FUNC(cxgb4_l2t_send, "", "");
KSYMTAB_FUNC(cxgb4_l2t_release, "", "");
KSYMTAB_FUNC(cxgb4_l2t_get, "", "");
KSYMTAB_FUNC(cxgb4_select_ntuple, "", "");
KSYMTAB_FUNC(cxgb4_check_l2t_valid, "", "");
KSYMTAB_FUNC(cxgb4_smt_release, "", "");
KSYMTAB_FUNC(cxgb4_smt_alloc_switching, "", "");
KSYMTAB_FUNC(cxgb4_map_skb, "", "");
KSYMTAB_FUNC(cxgb4_reclaim_completed_tx, "", "");
KSYMTAB_FUNC(cxgb4_write_sgl, "", "");
KSYMTAB_FUNC(cxgb4_write_partial_sgl, "", "");
KSYMTAB_FUNC(cxgb4_ring_tx_db, "", "");
KSYMTAB_FUNC(cxgb4_inline_tx_skb, "", "");
KSYMTAB_FUNC(cxgb4_ofld_send, "", "");
KSYMTAB_FUNC(cxgb4_immdata_send, "", "");
KSYMTAB_FUNC(cxgb4_crypto_send, "", "");
KSYMTAB_FUNC(cxgb4_pktgl_to_skb, "", "");
KSYMTAB_FUNC(cxgb4_clip_get, "", "");
KSYMTAB_FUNC(cxgb4_clip_release, "", "");
KSYMTAB_FUNC(cxgb4_update_root_dev_clip, "", "");
KSYMTAB_FUNC(t4_cleanup_clip_tbl, "", "");
KSYMTAB_FUNC(cxgb4_register_uld, "", "");
KSYMTAB_FUNC(cxgb4_unregister_uld, "", "");

SYMBOL_CRC(cxgb4_alloc_atid, 0xd0778770, "");
SYMBOL_CRC(cxgb4_free_atid, 0xba57864d, "");
SYMBOL_CRC(cxgb4_alloc_stid, 0xcb019f96, "");
SYMBOL_CRC(cxgb4_alloc_sftid, 0xa7fbac74, "");
SYMBOL_CRC(cxgb4_free_stid, 0xaa19421e, "");
SYMBOL_CRC(cxgb4_remove_tid, 0x647999dc, "");
SYMBOL_CRC(cxgb4_create_server, 0x84470b1f, "");
SYMBOL_CRC(cxgb4_create_server6, 0x3f7d1c3e, "");
SYMBOL_CRC(cxgb4_remove_server, 0xacdde5d2, "");
SYMBOL_CRC(cxgb4_best_mtu, 0xd69a0294, "");
SYMBOL_CRC(cxgb4_best_aligned_mtu, 0x50ee5c07, "");
SYMBOL_CRC(cxgb4_port_chan, 0x78a431e4, "");
SYMBOL_CRC(cxgb4_port_e2cchan, 0x0aa13ed9, "");
SYMBOL_CRC(cxgb4_dbfifo_count, 0xb2f28402, "");
SYMBOL_CRC(cxgb4_port_viid, 0x3a46490b, "");
SYMBOL_CRC(cxgb4_port_idx, 0x7d337dd8, "");
SYMBOL_CRC(cxgb4_get_tcp_stats, 0x40aaa58b, "");
SYMBOL_CRC(cxgb4_flush_eq_cache, 0x0930ba77, "");
SYMBOL_CRC(cxgb4_sync_txq_pidx, 0x7df919a5, "");
SYMBOL_CRC(cxgb4_read_tpte, 0xd4bb6711, "");
SYMBOL_CRC(cxgb4_read_sge_timestamp, 0xb51835b0, "");
SYMBOL_CRC(cxgb4_bar2_sge_qregs, 0xbcbb8f2d, "");
SYMBOL_CRC(cxgb4_create_server_filter, 0xc30e6f5b, "");
SYMBOL_CRC(cxgb4_remove_server_filter, 0x13504d72, "");
SYMBOL_CRC(cxgb4_l2t_send, 0x91d47b91, "");
SYMBOL_CRC(cxgb4_l2t_release, 0xaedc74f6, "");
SYMBOL_CRC(cxgb4_l2t_get, 0xffc495f7, "");
SYMBOL_CRC(cxgb4_select_ntuple, 0x5a7b1736, "");
SYMBOL_CRC(cxgb4_check_l2t_valid, 0xe20ce5d4, "");
SYMBOL_CRC(cxgb4_smt_release, 0xa8db193f, "");
SYMBOL_CRC(cxgb4_smt_alloc_switching, 0x8bcf3ab6, "");
SYMBOL_CRC(cxgb4_map_skb, 0xed827111, "");
SYMBOL_CRC(cxgb4_reclaim_completed_tx, 0x383f9a41, "");
SYMBOL_CRC(cxgb4_write_sgl, 0xba02fbbd, "");
SYMBOL_CRC(cxgb4_write_partial_sgl, 0xcc5f9b06, "");
SYMBOL_CRC(cxgb4_ring_tx_db, 0x5c6b4de0, "");
SYMBOL_CRC(cxgb4_inline_tx_skb, 0x3a72c3d9, "");
SYMBOL_CRC(cxgb4_ofld_send, 0xc0c0696f, "");
SYMBOL_CRC(cxgb4_immdata_send, 0x4a659eb4, "");
SYMBOL_CRC(cxgb4_crypto_send, 0x4aa60638, "");
SYMBOL_CRC(cxgb4_pktgl_to_skb, 0x526dbff4, "");
SYMBOL_CRC(cxgb4_clip_get, 0x2f26f016, "");
SYMBOL_CRC(cxgb4_clip_release, 0x534bf775, "");
SYMBOL_CRC(cxgb4_update_root_dev_clip, 0x8530bcd6, "");
SYMBOL_CRC(t4_cleanup_clip_tbl, 0x972a380c, "");
SYMBOL_CRC(cxgb4_register_uld, 0xffc6dcbd, "");
SYMBOL_CRC(cxgb4_unregister_uld, 0x0f1a5528, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xdeea02df, "const_current_task" },
	{ 0xf6e54d4f, "register_netdev" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x1ad6bb7a, "free_netdev" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x9a5dce5c, "rhashtable_walk_start_check" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x92ffefb8, "debugfs_create_file_size" },
	{ 0xfef216eb, "_raw_spin_trylock" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xfb7f71a8, "ethtool_op_get_link" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x67ade3c1, "__seq_open_private" },
	{ 0x9cd7551a, "rhashtable_walk_stop" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x11089ac7, "_ctype" },
	{ 0xe6c21170, "netif_tx_stop_all_queues" },
	{ 0xc7475c13, "pci_restore_state" },
	{ 0xdba72387, "netif_tx_wake_queue" },
	{ 0xaf1e56a1, "default_llseek" },
	{ 0x44164a00, "thermal_zone_device_register_with_trips" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0xb91ae75a, "dcb_setapp" },
	{ 0xfb578fc5, "memset" },
	{ 0xab54f999, "_dev_warn" },
	{ 0xbcf5a2a3, "flow_rule_match_ports" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xb202f0d7, "rht_bucket_nested_insert" },
	{ 0x7265f2b0, "pci_vpd_check_csum" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0xdc5916e0, "pci_set_master" },
	{ 0x75d499dd, "vmcore_add_device_dump" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x9d0129f8, "kmemdup_noprof" },
	{ 0x288df1c5, "netdev_set_tc_queue" },
	{ 0x7936eaf0, "flow_rule_match_ipv6_addrs" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xded3a4db, "ptp_clock_unregister" },
	{ 0xa3cd6648, "__netdev_alloc_skb" },
	{ 0x2a5ea9ef, "rhashtable_destroy" },
	{ 0x19cef95e, "__neigh_event_send" },
	{ 0x94c141fc, "pcie_capability_clear_and_set_word_unlocked" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0xf303ff9e, "__netif_napi_del_locked" },
	{ 0xb86f74c5, "free_cpumask_var" },
	{ 0xbc4282c9, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xfef01687, "dma_set_coherent_mask" },
	{ 0x7550c795, "pv_ops" },
	{ 0xff8a4733, "seq_read" },
	{ 0xe0313d71, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x922f45a6, "__bitmap_clear" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x0dee6953, "cpu_number" },
	{ 0x741aa3d2, "__preempt_count" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xb17fc050, "netdev_reset_tc" },
	{ 0xb6ddd7ad, "neigh_destroy" },
	{ 0xc17d04ed, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x28839c12, "rhashtable_init_noprof" },
	{ 0x85df9b6c, "strsep" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xbbc29241, "linkwatch_fire_event" },
	{ 0x8a3614b5, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xc646fb0b, "pcie_print_link_status" },
	{ 0xc59e421d, "flow_rule_match_vlan" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x194580ce, "netdev_master_upper_dev_get_rcu" },
	{ 0x806537ce, "seq_write" },
	{ 0x88db4bda, "__folio_put" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x98cf191a, "__kmalloc_cache_noprof" },
	{ 0xa6e36705, "vzalloc_noprof" },
	{ 0xc9ec2280, "pcie_capability_read_dword" },
	{ 0x03c12dfe, "cancel_work_sync" },
	{ 0x950022ed, "validate_usercopy_range" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb3f3d485, "netif_carrier_off" },
	{ 0xfb471f37, "seq_printf" },
	{ 0xab882e54, "__vlan_find_dev_deep_rcu" },
	{ 0x1e84b1c2, "__hw_addr_sync_dev" },
	{ 0x06df5190, "pci_disable_sriov" },
	{ 0x0c3690fc, "_raw_spin_lock_bh" },
	{ 0xb245b257, "netif_carrier_on" },
	{ 0x06d4b935, "netdev_set_num_tc" },
	{ 0xaf37160f, "debugfs_create_file_full" },
	{ 0xee17688f, "pci_disable_msix" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xa8406964, "pci_disable_device" },
	{ 0x54651f9b, "rhashtable_walk_next" },
	{ 0xa6366ed7, "single_release" },
	{ 0x34a1ddb1, "dma_set_mask" },
	{ 0xeda1abd5, "vlan_dev_vlan_id" },
	{ 0x0362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xf0e6bdcf, "seq_release_private" },
	{ 0xc0abd52c, "dma_unmap_sg_attrs" },
	{ 0x4a7f009d, "seq_open" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x81188c30, "match_string" },
	{ 0xa77b6d0c, "tls_validate_xmit_skb" },
	{ 0xcf945eb1, "napi_schedule_prep" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0x7df8e2bb, "napi_disable" },
	{ 0x38ed209e, "dev_kfree_skb_any_reason" },
	{ 0xe3241f80, "dcb_ieee_delapp" },
	{ 0x75537bc7, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x8cd6edee, "single_open" },
	{ 0xfd93ee35, "ioremap_wc" },
	{ 0x6c585b05, "debugfs_create_dir" },
	{ 0x93a8ea65, "generic_file_llseek" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x47ce1ad5, "__kvmalloc_node_noprof" },
	{ 0x6fdea458, "flow_rule_match_control" },
	{ 0xb6499f74, "flow_rule_match_ip" },
	{ 0xb93e2d63, "pci_enable_sriov" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0xf188a662, "rhashtable_walk_exit" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0xfd55b543, "dcb_ieee_setapp" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x61f95f3d, "kmalloc_caches" },
	{ 0x53bbefe1, "__trace_set_current_state" },
	{ 0x2667fa8b, "netdev_info" },
	{ 0x269967ec, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x1f821785, "alloc_etherdev_mqs" },
	{ 0xdf441896, "thermal_zone_device_unregister" },
	{ 0xba303ab1, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xabc196d9, "pcie_capability_read_word" },
	{ 0xf82c0e45, "thermal_zone_device_priv" },
	{ 0xa37e9fd7, "napi_gro_frags" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xd7672093, "flow_rule_match_enc_keyid" },
	{ 0x0d542439, "__ipv6_addr_type" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x001a6cc7, "skb_copy_bits" },
	{ 0x267761d5, "pci_read_vpd" },
	{ 0x65c0830e, "ethtool_rx_flow_rule_destroy" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xb94808a1, "pci_enable_device" },
	{ 0x6bee56f3, "skb_tstamp_tx" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x4761f17c, "register_netevent_notifier" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0x77bc13a0, "strim" },
	{ 0x94a81d00, "consume_skb" },
	{ 0xed9f25a9, "seq_release" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x261c30e5, "pci_vfs_assigned" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xdb3d4f2b, "unregister_netdev" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x105d491e, "napi_get_frags" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x6e357801, "__kmalloc_node_noprof" },
	{ 0xc890c008, "zlib_deflateEnd" },
	{ 0xdb7893c5, "dma_unmap_page_attrs" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x7b0eb73a, "request_firmware" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0x96848186, "scnprintf" },
	{ 0x22610d9d, "__pci_register_driver" },
	{ 0xedc03953, "iounmap" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0xe900cd5e, "pci_num_vf" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x2a2fd0b3, "pci_disable_msi" },
	{ 0x19746109, "ptp_clock_index" },
	{ 0x9184d67b, "pci_request_regions" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x0c88c1c3, "pci_vpd_find_id_string" },
	{ 0x037a0cba, "kfree" },
	{ 0x0e23b37f, "alloc_cpumask_var_node" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0xc86fe4fa, "pci_sriov_get_totalvfs" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0xa8994339, "seq_lseek" },
	{ 0x68c3939f, "eth_validate_addr" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0xb62311ad, "netif_napi_add_weight_locked" },
	{ 0x55a8388b, "netdev_warn" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x2f6cdfed, "flow_rule_match_ipv4_addrs" },
	{ 0xf2c43f3f, "zlib_deflate" },
	{ 0xe5ce1a56, "rhashtable_walk_enter" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x83aca437, "__dynamic_dev_dbg" },
	{ 0x29ff7ad4, "pci_ioremap_bar" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xeceaf359, "pci_unregister_driver" },
	{ 0x2fe166e5, "netdev_features_change" },
	{ 0xf13dd9de, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x9ae47436, "_find_last_bit" },
	{ 0x5f7c4455, "dev_driver_string" },
	{ 0xc2c18856, "thermal_zone_device_enable" },
	{ 0xfa5de6d0, "dev_addr_mod" },
	{ 0xdd2642ea, "eth_type_trans" },
	{ 0x8bcd94e4, "request_firmware_direct" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xee6799db, "dma_map_page_attrs" },
	{ 0x6323c41f, "napi_complete_done" },
	{ 0x62724f52, "alloc_netdev_mqs" },
	{ 0x86fb9b05, "bitmap_parse_user" },
	{ 0xb9a4ec8d, "__alloc_pages_noprof" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x01000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x3028ff4f, "__tracepoint_sched_set_state_tp" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe9f7149c, "zlib_deflate_workspacesize" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x5cfc8de3, "__napi_schedule" },
	{ 0x56554b97, "__kmalloc_large_noprof" },
	{ 0xdc43bdc6, "pci_vpd_find_ro_info_keyword" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0x57f8c7f6, "pci_enable_msix_range" },
	{ 0x363e8fe5, "pcie_relaxed_ordering_enabled" },
	{ 0xa916b694, "strnlen" },
	{ 0x7e59bb5d, "__alloc_skb" },
	{ 0xd46f824f, "netif_device_detach" },
	{ 0x618911fc, "numa_node" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x94d51d97, "__free_pages" },
	{ 0xe9e97b01, "_dev_info" },
	{ 0x7025823a, "netif_device_attach" },
	{ 0xff680664, "netdev_pick_tx" },
	{ 0xe3540810, "eth_get_headlen" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0xb3f985a8, "sg_alloc_table" },
	{ 0x0ed57024, "flow_block_cb_setup_simple" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x4a7c8ae9, "flow_rule_match_basic" },
	{ 0x0ea3c74e, "tasklet_kill" },
	{ 0x456e23da, "_dev_alert" },
	{ 0xcdbccbc2, "vlan_dev_real_dev" },
	{ 0x16e34460, "__dma_sync_single_for_cpu" },
	{ 0xc8a91f5b, "cpumask_local_spread" },
	{ 0x577e8c43, "pci_enable_msi" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0x00169ecd, "_dev_err" },
	{ 0xb7c0f443, "sort" },
	{ 0x6fda5195, "debugfs_create_bool" },
	{ 0x99e512ed, "simple_open" },
	{ 0x02ddb208, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x5a0b73d0, "zlib_deflateInit2" },
	{ 0x24eef9d8, "string_get_size" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xf5862ca8, "ptp_clock_register" },
	{ 0xb5f25c0c, "dcb_ieee_getapp_mask" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xf024d9da, "netif_set_real_num_tx_queues" },
	{ 0x155440c4, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x4ccc9279, "netif_set_real_num_rx_queues" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x4a331da5, "vmalloc_noprof" },
	{ 0xb9e62c40, "pci_write_vpd" },
	{ 0xa6ec5c14, "ethtool_rx_flow_rule_create" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x1389d164, "dma_alloc_attrs" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x4fe1eddf, "unregister_netevent_notifier" },
	{ 0x9794a107, "debugfs_remove" },
	{ 0xed3bb9b4, "pci_read_config_word" },
	{ 0xb9726ea6, "napi_enable" },
	{ 0x5a921311, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xb40aa56d, "seq_putc" },
	{ 0x558f9bd5, "netif_receive_skb" },
	{ 0x10ec8f68, "module_layout" },
};

MODULE_INFO(depends, "tls");

MODULE_ALIAS("pci:v00001425d00004400sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00004000sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00004401sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00004001sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00004402sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00004002sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00004403sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00004003sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00004404sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00004004sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00004405sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00004005sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00004406sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00004006sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00004407sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00004007sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00004408sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00004008sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00004409sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00004009sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d0000440Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d0000400Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d0000440Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d0000400Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d0000440Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d0000400Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d0000440Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d0000400Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d0000440Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d0000400Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00004480sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00004080sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00004481sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00004081sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00004482sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00004082sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00004483sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00004083sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00004484sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00004084sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00004485sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00004085sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00004486sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00004086sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00004487sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00004087sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00004488sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00004088sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00005400sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00005000sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00005401sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00005001sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00005402sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00005002sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00005403sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00005003sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00005404sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00005004sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00005405sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00005005sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00005406sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00005006sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00005407sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00005007sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00005408sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00005008sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00005409sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00005009sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d0000540Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d0000500Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d0000540Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d0000500Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d0000540Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d0000500Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d0000540Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d0000500Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d0000540Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d0000500Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00005410sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00005010sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00005411sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00005011sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00005412sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00005012sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00005413sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00005013sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00005414sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00005014sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00005415sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00005015sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00005416sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00005016sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00005417sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00005017sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00005418sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00005018sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00005419sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00005019sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d0000541Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d0000501Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d0000541Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d0000501Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00005480sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00005080sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00005481sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00005081sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00005482sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00005082sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00005483sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00005083sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00005484sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00005084sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00005485sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00005085sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00005486sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00005086sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00005487sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00005087sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00005488sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00005088sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00005489sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00005089sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00005490sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00005090sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00005491sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00005091sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00005492sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00005092sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00005493sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00005093sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00005494sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00005094sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00005495sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00005095sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00005496sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00005096sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00005497sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00005097sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00005498sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00005098sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00005499sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00005099sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d0000549Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d0000509Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d0000549Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d0000509Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d0000549Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d0000509Csv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d0000549Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d0000509Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d0000549Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d0000509Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d0000549Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d0000509Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d000054A0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d000050A0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d000054A1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d000050A1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d000054A2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d000050A2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d000054A3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d000050A3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d000054A4sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d000050A4sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d000054A5sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d000050A5sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d000054A6sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d000050A6sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d000054A7sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d000050A7sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d000054A8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d000050A8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d000054A9sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d000050A9sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d000054AAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d000050AAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d000054ABsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d000050ABsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d000054ACsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d000050ACsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d000054ADsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d000050ADsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d000054AEsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d000050AEsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d000054AFsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d000050AFsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d000054B0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d000050B0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00006401sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00006001sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00006402sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00006002sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00006403sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00006003sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00006404sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00006004sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00006405sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00006005sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00006406sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00006006sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00006407sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00006007sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00006408sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00006008sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00006409sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00006009sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d0000640Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d0000600Dsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00006411sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00006011sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00006414sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00006014sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00006415sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00006015sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00006480sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00006080sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00006481sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00006081sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00006482sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00006082sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00006483sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00006083sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00006484sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00006084sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00006485sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00006085sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00006486sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00006086sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00006487sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00006087sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00006488sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00006088sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00006489sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00006089sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d0000648Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d0000608Asv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d0000648Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d0000608Bsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00006492sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001425d00006092sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "999A5FA33CD8DAB687E1855");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
