#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(vnic_dev_get_res_count, "", "");
KSYMTAB_FUNC(vnic_dev_get_res, "", "");
KSYMTAB_FUNC(vnic_dev_unregister, "", "");
KSYMTAB_FUNC(vnic_dev_register, "", "");
KSYMTAB_FUNC(vnic_dev_get_pdev, "", "");
KSYMTAB_FUNC(enic_api_devcmd_proxy_by_index, "", "");

SYMBOL_CRC(vnic_dev_get_res_count, 0x3f3e7f37, "");
SYMBOL_CRC(vnic_dev_get_res, 0x9b4b73fd, "");
SYMBOL_CRC(vnic_dev_unregister, 0x70f9fe5a, "");
SYMBOL_CRC(vnic_dev_register, 0x9c3a0e54, "");
SYMBOL_CRC(vnic_dev_get_pdev, 0xb99f3301, "");
SYMBOL_CRC(enic_api_devcmd_proxy_by_index, 0xec33233e, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0xf13dd9de, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5f7c4455, "dev_driver_string" },
	{ 0xfa5de6d0, "dev_addr_mod" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xee6799db, "dma_map_page_attrs" },
	{ 0x6323c41f, "napi_complete_done" },
	{ 0x92997ed8, "_printk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x57f8c7f6, "pci_enable_msix_range" },
	{ 0xa916b694, "strnlen" },
	{ 0xe9e97b01, "_dev_info" },
	{ 0x9ffcba38, "__hw_addr_unsync_dev" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x3b19b713, "dev_open" },
	{ 0xd4afea5d, "free_irq_cpu_rmap" },
	{ 0x16e34460, "__dma_sync_single_for_cpu" },
	{ 0xc8a91f5b, "cpumask_local_spread" },
	{ 0x7919b383, "alloc_cpu_rmap" },
	{ 0x577e8c43, "pci_enable_msi" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0x00169ecd, "_dev_err" },
	{ 0xafd3f2aa, "softnet_data" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xf024d9da, "netif_set_real_num_tx_queues" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x4ccc9279, "netif_set_real_num_rx_queues" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xbc713856, "dev_close" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x1389d164, "dma_alloc_attrs" },
	{ 0xed3bb9b4, "pci_read_config_word" },
	{ 0xb9726ea6, "napi_enable" },
	{ 0xf936b5b5, "nla_put" },
	{ 0xf6e54d4f, "register_netdev" },
	{ 0x1ad6bb7a, "free_netdev" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xc10b8e88, "page_pool_put_unrefed_netmem" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xfb7f71a8, "ethtool_op_get_link" },
	{ 0x8d6327dc, "netif_set_xps_queue" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0xeff39aad, "flow_keys_dissector" },
	{ 0xdba72387, "netif_tx_wake_queue" },
	{ 0x0b19b445, "ioread8" },
	{ 0x8ab5da48, "page_pool_create" },
	{ 0xfb578fc5, "memset" },
	{ 0xab54f999, "_dev_warn" },
	{ 0xdc5916e0, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x017de3d5, "nr_cpu_ids" },
	{ 0x50899106, "__pskb_pull_tail" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf303ff9e, "__netif_napi_del_locked" },
	{ 0xb86f74c5, "free_cpumask_var" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xfef01687, "dma_set_coherent_mask" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x0274dc2b, "netif_get_num_default_rss_queues" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x0dee6953, "cpu_number" },
	{ 0x741aa3d2, "__preempt_count" },
	{ 0x56219abc, "rps_may_expire_flow" },
	{ 0xc17d04ed, "dma_free_attrs" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x8a3614b5, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x4ee9c734, "call_netdevice_notifiers" },
	{ 0x98cf191a, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x03c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb3f3d485, "netif_carrier_off" },
	{ 0x6514c1e6, "flow_get_u32_src" },
	{ 0x1e84b1c2, "__hw_addr_sync_dev" },
	{ 0x06df5190, "pci_disable_sriov" },
	{ 0x0c3690fc, "_raw_spin_lock_bh" },
	{ 0xb245b257, "netif_carrier_on" },
	{ 0xee17688f, "pci_disable_msix" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xa8406964, "pci_disable_device" },
	{ 0x34a1ddb1, "dma_set_mask" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x0efeeed0, "__skb_flow_dissect" },
	{ 0x28e3cd76, "page_pool_alloc_netmems" },
	{ 0x0362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x72fdb39e, "skb_add_rx_frag_netmem" },
	{ 0x84d348c1, "__napi_schedule_irqoff" },
	{ 0xcf945eb1, "napi_schedule_prep" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0x7df8e2bb, "napi_disable" },
	{ 0x38ed209e, "dev_kfree_skb_any_reason" },
	{ 0x091eb9b4, "round_jiffies" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xb93e2d63, "pci_enable_sriov" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0x61f95f3d, "kmalloc_caches" },
	{ 0x2667fa8b, "netdev_info" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x1f821785, "alloc_etherdev_mqs" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xa78af5f3, "ioread32" },
	{ 0xa37e9fd7, "napi_gro_frags" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x4ebe69d2, "pci_find_ext_capability" },
	{ 0x78f8cbba, "page_pool_alloc_frag_netmem" },
	{ 0x001a6cc7, "skb_copy_bits" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x6bee56f3, "skb_tstamp_tx" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x999d5978, "pci_enable_device_mem" },
	{ 0x94a81d00, "consume_skb" },
	{ 0xca5cf268, "pci_iomap" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xdb3d4f2b, "unregister_netdev" },
	{ 0x105d491e, "napi_get_frags" },
	{ 0xdb7893c5, "dma_unmap_page_attrs" },
	{ 0x22610d9d, "__pci_register_driver" },
	{ 0xedc03953, "iounmap" },
	{ 0x2a2fd0b3, "pci_disable_msi" },
	{ 0x9184d67b, "pci_request_regions" },
	{ 0x69acdf38, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0x5a99a0d7, "flow_get_u32_dst" },
	{ 0x0e23b37f, "alloc_cpumask_var_node" },
	{ 0x8d209737, "page_pool_destroy" },
	{ 0x68c3939f, "eth_validate_addr" },
	{ 0x81c51d19, "irq_cpu_rmap_add" },
	{ 0xb62311ad, "netif_napi_add_weight_locked" },
	{ 0x55a8388b, "netdev_warn" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xeceaf359, "pci_unregister_driver" },
	{ 0x10ec8f68, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v00001137d00000043sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001137d00000044sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001137d00000071sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "58DA9DCE2C558DEA5D450DD");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
