#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(geneve_dev_create_fb, "_gpl", "");

SYMBOL_CRC(geneve_dev_create_fb, 0x2958a014, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x589d9ba8, "gro_cells_init" },
	{ 0xf34392e0, "ether_setup" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xfa5de6d0, "dev_addr_mod" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x0d542439, "__ipv6_addr_type" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x4768c72b, "unregister_netdevice_queue" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x56554b97, "__kmalloc_large_noprof" },
	{ 0x3b232a6d, "udp_tunnel_notify_add_rx_port" },
	{ 0x09e3798e, "setup_udp_tunnel_sock" },
	{ 0x037a0cba, "kfree" },
	{ 0x5551dc58, "udp_tunnel_notify_del_rx_port" },
	{ 0xf674d0f1, "udp_tunnel_sock_release" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x50899106, "__pskb_pull_tail" },
	{ 0x001a6cc7, "skb_copy_bits" },
	{ 0x0169e1e7, "rtnl_create_link" },
	{ 0x47af3b29, "rtnl_configure_link" },
	{ 0x1ad6bb7a, "free_netdev" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x532d3e6e, "udp_tunnel_dst_lookup" },
	{ 0x85029eae, "udp_tunnel6_dst_lookup" },
	{ 0x0f3ba496, "__skb_get_hash_net" },
	{ 0x155440c4, "sk_skb_reason_drop" },
	{ 0xa0eb45cd, "__iptunnel_pull_header" },
	{ 0x66628bf3, "ip_tunnel_metadata_cnt" },
	{ 0x9ccd436e, "udp_tun_rx_dst" },
	{ 0xeca55096, "gro_cells_receive" },
	{ 0xb05a45bf, "this_cpu_off" },
	{ 0xdd2642ea, "eth_type_trans" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x92997ed8, "_printk" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xa6dc0f01, "eth_gro_receive" },
	{ 0x121d9a69, "gro_find_receive_by_type" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x94a81d00, "consume_skb" },
	{ 0x4f801049, "skb_tunnel_check_pmtu" },
	{ 0xa01d95b1, "__netif_rx" },
	{ 0xde71b59d, "udp_tunnel_xmit_skb" },
	{ 0x799eccc5, "udp_tunnel6_xmit_skb" },
	{ 0xbc4282c9, "__dynamic_netdev_dbg" },
	{ 0xe5f117e3, "ip6_dst_hoplimit" },
	{ 0xfb7f71a8, "ethtool_op_get_link" },
	{ 0x507a68c5, "eth_mac_addr" },
	{ 0x68c3939f, "eth_validate_addr" },
	{ 0x6fcad1c1, "param_ops_bool" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf936b5b5, "nla_put" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xb3fe509c, "rt6_lookup" },
	{ 0x58b31f79, "dst_release" },
	{ 0x221c0b89, "ip_route_output_flow" },
	{ 0x84d587fc, "metadata_dst_alloc" },
	{ 0x69acdf38, "memcpy" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0x56470118, "__warn_printk" },
	{ 0xaa2353fc, "metadata_dst_free" },
	{ 0x42566468, "skb_scrub_packet" },
	{ 0x6e07e5f3, "pskb_expand_head" },
	{ 0xf1682e19, "iptunnel_handle_offloads" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xb9a121bf, "eth_gro_complete" },
	{ 0x663dea40, "gro_find_complete_by_type" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x7068428f, "udp_sock_create4" },
	{ 0x51b6f844, "udp_sock_create6" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc7a66d73, "register_netdevice" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xcedf43a8, "register_pernet_subsys" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x2f79f6ff, "rtnl_link_register" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x080a5bd8, "unregister_pernet_subsys" },
	{ 0x93f43813, "udp_tunnel_push_rx_port" },
	{ 0x1b2e934d, "udp_tunnel_drop_rx_port" },
	{ 0x02579b93, "rtnl_link_unregister" },
	{ 0x10ec8f68, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel");


MODULE_INFO(srcversion, "C53B22D788789FB19FC8913");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
