#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(iscsi_tcp_segment_unmap, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_segment_done, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_dgst_header, "_gpl", "");
KSYMTAB_FUNC(iscsi_segment_init_linear, "_gpl", "");
KSYMTAB_FUNC(iscsi_segment_seek_sg, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_hdr_recv_prep, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_cleanup_task, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_recv_segment_is_hdr, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_recv_skb, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_task_init, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_task_xmit, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_conn_setup, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_conn_teardown, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_r2tpool_alloc, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_r2tpool_free, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_set_max_r2t, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_conn_get_stats, "_gpl", "");

SYMBOL_CRC(iscsi_tcp_segment_unmap, 0x596f4d89, "_gpl");
SYMBOL_CRC(iscsi_tcp_segment_done, 0x53cd145a, "_gpl");
SYMBOL_CRC(iscsi_tcp_dgst_header, 0xcfd844c9, "_gpl");
SYMBOL_CRC(iscsi_segment_init_linear, 0x73c74433, "_gpl");
SYMBOL_CRC(iscsi_segment_seek_sg, 0x5c3bd984, "_gpl");
SYMBOL_CRC(iscsi_tcp_hdr_recv_prep, 0x63de9b90, "_gpl");
SYMBOL_CRC(iscsi_tcp_cleanup_task, 0xf47039ce, "_gpl");
SYMBOL_CRC(iscsi_tcp_recv_segment_is_hdr, 0x97d9e246, "_gpl");
SYMBOL_CRC(iscsi_tcp_recv_skb, 0x9e52e079, "_gpl");
SYMBOL_CRC(iscsi_tcp_task_init, 0x7cfd0415, "_gpl");
SYMBOL_CRC(iscsi_tcp_task_xmit, 0x43ad0d6e, "_gpl");
SYMBOL_CRC(iscsi_tcp_conn_setup, 0xfa00ed57, "_gpl");
SYMBOL_CRC(iscsi_tcp_conn_teardown, 0xb0f83c37, "_gpl");
SYMBOL_CRC(iscsi_tcp_r2tpool_alloc, 0x1bd7f1e1, "_gpl");
SYMBOL_CRC(iscsi_tcp_r2tpool_free, 0x71b4c04e, "_gpl");
SYMBOL_CRC(iscsi_tcp_set_max_r2t, 0x945901de, "_gpl");
SYMBOL_CRC(iscsi_tcp_conn_get_stats, 0x184ae7cc, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x2d9f4740, "iscsi_dbg_trace" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x8cba74f8, "_dev_printk" },
	{ 0xbdc904a0, "__tracepoint_iscsi_dbg_tcp" },
	{ 0x0dee6953, "cpu_number" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x741aa3d2, "__preempt_count" },
	{ 0xa8c4b5e1, "__SCT__tp_func_iscsi_dbg_tcp" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xb3df2cb0, "crc32c_arch" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xdeea02df, "const_current_task" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x0c3690fc, "_raw_spin_lock_bh" },
	{ 0xf23fcb99, "__kfifo_in" },
	{ 0x13d0adf7, "__kfifo_out" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xd9c69ad3, "iscsi_prep_data_out_pdu" },
	{ 0x061b5968, "iscsi_put_task" },
	{ 0xe699213c, "iscsi_conn_failure" },
	{ 0x52b75759, "iscsi_conn_setup" },
	{ 0xb773c158, "iscsi_conn_teardown" },
	{ 0x139f2189, "__kfifo_alloc" },
	{ 0x3bef2f73, "iscsi_pool_init" },
	{ 0xdb760f52, "__kfifo_free" },
	{ 0x8d303b1b, "iscsi_pool_free" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3504bffa, "skb_prepare_seq_read" },
	{ 0x269bb1f0, "skb_seq_read" },
	{ 0x69acdf38, "memcpy" },
	{ 0x5ad3f849, "skb_abort_seq_read" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x1b8506a9, "iscsi_complete_pdu" },
	{ 0x2d3f1c99, "iscsi_verify_itt" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x92ef86d0, "iscsi_itt_to_ctask" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x205414f8, "iscsi_get_task" },
	{ 0xf767a2d8, "iscsi_update_cmdsn" },
	{ 0x9a1bae6a, "__iscsi_complete_pdu" },
	{ 0x8a40413b, "iscsi_requeue_task" },
	{ 0x75537bc7, "param_ops_int" },
	{ 0x215a3af3, "__SCK__tp_func_iscsi_dbg_tcp" },
	{ 0x10ec8f68, "module_layout" },
};

MODULE_INFO(depends, "scsi_transport_iscsi,libiscsi");


MODULE_INFO(srcversion, "06C724F39C0E2B77052AFAC");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
