#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(wpan_phy_find, "", "");
KSYMTAB_FUNC(wpan_phy_for_each, "", "");
KSYMTAB_FUNC(wpan_phy_new, "", "");
KSYMTAB_FUNC(wpan_phy_register, "", "");
KSYMTAB_FUNC(wpan_phy_unregister, "", "");
KSYMTAB_FUNC(wpan_phy_free, "", "");
KSYMTAB_FUNC(ieee802154_hdr_push, "_gpl", "");
KSYMTAB_FUNC(ieee802154_mac_cmd_push, "_gpl", "");
KSYMTAB_FUNC(ieee802154_beacon_push, "_gpl", "");
KSYMTAB_FUNC(ieee802154_hdr_pull, "_gpl", "");
KSYMTAB_FUNC(ieee802154_mac_cmd_pl_pull, "_gpl", "");
KSYMTAB_FUNC(ieee802154_hdr_peek_addrs, "_gpl", "");
KSYMTAB_FUNC(ieee802154_hdr_peek, "_gpl", "");
KSYMTAB_FUNC(ieee802154_max_payload, "_gpl", "");
KSYMTAB_FUNC(nl802154_scan_event, "_gpl", "");
KSYMTAB_FUNC(nl802154_scan_started, "_gpl", "");
KSYMTAB_FUNC(nl802154_scan_done, "_gpl", "");
KSYMTAB_FUNC(nl802154_beaconing_done, "_gpl", "");
KSYMTAB_FUNC(cfg802154_device_is_parent, "_gpl", "");
KSYMTAB_FUNC(cfg802154_device_is_child, "_gpl", "");
KSYMTAB_FUNC(cfg802154_get_free_short_addr, "_gpl", "");
KSYMTAB_FUNC(cfg802154_set_max_associations, "_gpl", "");

SYMBOL_CRC(wpan_phy_find, 0x5355ac92, "");
SYMBOL_CRC(wpan_phy_for_each, 0x92cc32cc, "");
SYMBOL_CRC(wpan_phy_new, 0x55e41a1e, "");
SYMBOL_CRC(wpan_phy_register, 0xc47ffee9, "");
SYMBOL_CRC(wpan_phy_unregister, 0x2407e9d5, "");
SYMBOL_CRC(wpan_phy_free, 0x220b49ab, "");
SYMBOL_CRC(ieee802154_hdr_push, 0xed470b63, "_gpl");
SYMBOL_CRC(ieee802154_mac_cmd_push, 0x6df97021, "_gpl");
SYMBOL_CRC(ieee802154_beacon_push, 0x635b9370, "_gpl");
SYMBOL_CRC(ieee802154_hdr_pull, 0x950daaaa, "_gpl");
SYMBOL_CRC(ieee802154_mac_cmd_pl_pull, 0xd9b1912e, "_gpl");
SYMBOL_CRC(ieee802154_hdr_peek_addrs, 0xdd0df12a, "_gpl");
SYMBOL_CRC(ieee802154_hdr_peek, 0xf21638bc, "_gpl");
SYMBOL_CRC(ieee802154_max_payload, 0x87e2553b, "_gpl");
SYMBOL_CRC(nl802154_scan_event, 0xb4a7f30c, "_gpl");
SYMBOL_CRC(nl802154_scan_started, 0x55873cf5, "_gpl");
SYMBOL_CRC(nl802154_scan_done, 0x046c2c92, "_gpl");
SYMBOL_CRC(nl802154_beaconing_done, 0x44470479, "_gpl");
SYMBOL_CRC(cfg802154_device_is_parent, 0x94dac686, "_gpl");
SYMBOL_CRC(cfg802154_device_is_child, 0xb30f1e98, "_gpl");
SYMBOL_CRC(cfg802154_get_free_short_addr, 0x02c83a47, "_gpl");
SYMBOL_CRC(cfg802154_set_max_associations, 0x68c8d572, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf936b5b5, "nla_put" },
	{ 0xa4617368, "trace_event_reg" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x750100be, "class_unregister" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x2837f687, "unregister_pernet_device" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xf250d10e, "bpf_trace_run1" },
	{ 0x0422fbc1, "device_del" },
	{ 0x9fe99b74, "dev_set_mac_address" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x50899106, "__pskb_pull_tail" },
	{ 0x6a26dea9, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xfab76dd0, "bpf_trace_run3" },
	{ 0x7d3d4944, "__put_net" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x570928d1, "get_net_ns_by_pid" },
	{ 0x0dee6953, "cpu_number" },
	{ 0x741aa3d2, "__preempt_count" },
	{ 0xf271014f, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x98cf191a, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x86f79bda, "device_match_name" },
	{ 0x9191ac04, "dev_get_by_name" },
	{ 0x84823cf3, "nla_strscpy" },
	{ 0x56a5e0e8, "dev_change_net_namespace" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x02e4870f, "genl_unregister_family" },
	{ 0x754d539c, "strlen" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xfd003dba, "genl_register_family" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xeee2eef7, "register_pernet_device" },
	{ 0x09bd64ee, "get_net_ns_by_fd" },
	{ 0xdab340ba, "class_register" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x61f95f3d, "kmalloc_caches" },
	{ 0xfcc2ad5a, "class_find_device" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x0020ee96, "bpf_trace_run4" },
	{ 0x8b26aa51, "skb_put" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x04b3dd22, "dev_set_name" },
	{ 0x0604b5a9, "trace_output_call" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x3d5ad45d, "trace_raw_output_prep" },
	{ 0x16060c20, "nla_put_64bit" },
	{ 0xd6f8a13f, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x3bb940e2, "trace_event_printf" },
	{ 0xb05a45bf, "this_cpu_off" },
	{ 0x8b44a8b5, "device_initialize" },
	{ 0x5faf21b7, "genlmsg_put" },
	{ 0x52473e3f, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0x6ca3f66e, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0xb68e95d1, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x794504e6, "netlink_broadcast_filtered" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x484ed051, "device_rename" },
	{ 0xb92a190e, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x01000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0x39bed16d, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x7e59bb5d, "__alloc_skb" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x363d9008, "class_for_each_device" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x08b38092, "perf_trace_buf_alloc" },
	{ 0x130a9ea8, "__dev_get_by_index" },
	{ 0x3a8ade37, "perf_trace_run_bpf_submit" },
	{ 0xb0d0b936, "init_net" },
	{ 0x02ddb208, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x7c5ab511, "device_add" },
	{ 0x155440c4, "sk_skb_reason_drop" },
	{ 0xe04a2789, "netlink_unicast" },
	{ 0x4c0a8a2e, "dev_get_by_index" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x805644c3, "skb_push" },
	{ 0x10ec8f68, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "161ED8583CB9ED473093E6D");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
