#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2f2c95c4, "flush_work" },
	{ 0x327afa1a, "phy_stop" },
	{ 0x94a81d00, "consume_skb" },
	{ 0x909698eb, "skb_dequeue" },
	{ 0x037a0cba, "kfree" },
	{ 0xbc4282c9, "__dynamic_netdev_dbg" },
	{ 0x14a222c5, "call_switchdev_notifiers" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xce63b15f, "skb_queue_tail" },
	{ 0xd35ee9e0, "spi_get_device_id" },
	{ 0x637174de, "devm_kmalloc" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd0e1e20b, "device_property_read_bool" },
	{ 0x8a3a89a2, "devm_gpiod_get_optional" },
	{ 0x18efe86d, "spi_bus_lock" },
	{ 0x544f91a0, "gpiod_set_value" },
	{ 0xf9a482f9, "msleep" },
	{ 0x888fb8a0, "spi_bus_unlock" },
	{ 0x99e14e0f, "devm_mdiobus_alloc_size" },
	{ 0xb09ef8ee, "__devm_mdiobus_register" },
	{ 0x2df0ace8, "devm_alloc_etherdev_mqs" },
	{ 0x25f8b6e1, "device_get_ethdev_address" },
	{ 0xb3f3d485, "netif_carrier_off" },
	{ 0xb0945ef0, "get_phy_device" },
	{ 0xdc695afa, "phy_connect" },
	{ 0x454ffcfb, "__devm_add_action" },
	{ 0xb3fe4c4b, "devm_request_threaded_irq" },
	{ 0xe4d26147, "devm_register_netdev" },
	{ 0xaa8106bc, "crc8_populate_msb" },
	{ 0xf13dd9de, "netdev_err" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x61f95f3d, "kmalloc_caches" },
	{ 0x98cf191a, "__kmalloc_cache_noprof" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xdba72387, "netif_tx_wake_queue" },
	{ 0xab54f999, "_dev_warn" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xfa5de6d0, "dev_addr_mod" },
	{ 0xa215607c, "eth_prepare_mac_addr_change" },
	{ 0xd5875473, "phy_start" },
	{ 0xfb7f71a8, "ethtool_op_get_link" },
	{ 0x72e5ea90, "phy_ethtool_get_link_ksettings" },
	{ 0xeaa6adee, "phy_ethtool_set_link_ksettings" },
	{ 0x68c3939f, "eth_validate_addr" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x6e18a622, "phy_disconnect" },
	{ 0xe288f065, "phy_print_status" },
	{ 0xa916b694, "strnlen" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x69acdf38, "memcpy" },
	{ 0x56470118, "__warn_printk" },
	{ 0x6f31797d, "phy_do_ioctl" },
	{ 0x0f87cedd, "switchdev_handle_port_attr_set" },
	{ 0x8677245d, "unregister_switchdev_blocking_notifier" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0xee38ef57, "register_switchdev_blocking_notifier" },
	{ 0x9e1cae33, "__spi_register_driver" },
	{ 0xe62b3e21, "driver_unregister" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xf6a22089, "spi_sync" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x9c5d5b94, "crc8" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x00169ecd, "_dev_err" },
	{ 0xa3cd6648, "__netdev_alloc_skb" },
	{ 0x8b26aa51, "skb_put" },
	{ 0x02ddb208, "skb_pull" },
	{ 0xdd2642ea, "eth_type_trans" },
	{ 0x9f8e76a0, "netif_rx" },
	{ 0x155440c4, "sk_skb_reason_drop" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x10ec8f68, "module_layout" },
};

MODULE_INFO(depends, "libphy,mdio_devres,crc8");

MODULE_ALIAS("spi:adin1110");
MODULE_ALIAS("spi:adin2111");
MODULE_ALIAS("of:N*T*Cadi,adin1110");
MODULE_ALIAS("of:N*T*Cadi,adin1110C*");
MODULE_ALIAS("of:N*T*Cadi,adin2111");
MODULE_ALIAS("of:N*T*Cadi,adin2111C*");

MODULE_INFO(srcversion, "5E9632CF27E07FE6616EDF6");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
