#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(rxrpc_debug_id, "", "");
KSYMTAB_FUNC(rxrpc_kernel_lookup_peer, "", "");
KSYMTAB_FUNC(rxrpc_kernel_get_peer, "", "");
KSYMTAB_FUNC(rxrpc_kernel_put_peer, "", "");
KSYMTAB_FUNC(rxrpc_kernel_begin_call, "", "");
KSYMTAB_FUNC(rxrpc_kernel_shutdown_call, "", "");
KSYMTAB_FUNC(rxrpc_kernel_put_call, "", "");
KSYMTAB_FUNC(rxrpc_kernel_check_life, "", "");
KSYMTAB_FUNC(rxrpc_kernel_get_epoch, "", "");
KSYMTAB_FUNC(rxrpc_kernel_new_call_notification, "", "");
KSYMTAB_FUNC(rxrpc_kernel_set_max_life, "", "");
KSYMTAB_FUNC(rxrpc_sock_set_min_security_level, "", "");
KSYMTAB_FUNC(rxrpc_kernel_charge_accept, "", "");
KSYMTAB_DATA(key_type_rxrpc, "", "");
KSYMTAB_FUNC(rxrpc_get_server_data_key, "", "");
KSYMTAB_FUNC(rxrpc_get_null_key, "", "");
KSYMTAB_FUNC(rxrpc_kernel_get_call_peer, "", "");
KSYMTAB_FUNC(rxrpc_kernel_get_srtt, "", "");
KSYMTAB_FUNC(rxrpc_kernel_remote_srx, "", "");
KSYMTAB_FUNC(rxrpc_kernel_remote_addr, "", "");
KSYMTAB_FUNC(rxrpc_kernel_set_peer_data, "", "");
KSYMTAB_FUNC(rxrpc_kernel_get_peer_data, "", "");
KSYMTAB_FUNC(rxrpc_kernel_recv_data, "", "");
KSYMTAB_FUNC(rxrpc_kernel_send_data, "", "");
KSYMTAB_FUNC(rxrpc_kernel_abort_call, "", "");
KSYMTAB_FUNC(rxrpc_kernel_set_tx_length, "", "");
KSYMTAB_FUNC(rxrpc_sock_set_security_keyring, "", "");

SYMBOL_CRC(rxrpc_debug_id, 0x31bf3ca3, "");
SYMBOL_CRC(rxrpc_kernel_lookup_peer, 0x94b35cbd, "");
SYMBOL_CRC(rxrpc_kernel_get_peer, 0xe31abcc6, "");
SYMBOL_CRC(rxrpc_kernel_put_peer, 0x3caf7cb3, "");
SYMBOL_CRC(rxrpc_kernel_begin_call, 0x3ce58f03, "");
SYMBOL_CRC(rxrpc_kernel_shutdown_call, 0x694d382e, "");
SYMBOL_CRC(rxrpc_kernel_put_call, 0xf6e3c602, "");
SYMBOL_CRC(rxrpc_kernel_check_life, 0x0e4fa01e, "");
SYMBOL_CRC(rxrpc_kernel_get_epoch, 0x483a9853, "");
SYMBOL_CRC(rxrpc_kernel_new_call_notification, 0x2d5349b6, "");
SYMBOL_CRC(rxrpc_kernel_set_max_life, 0x42acd07f, "");
SYMBOL_CRC(rxrpc_sock_set_min_security_level, 0xabdb7293, "");
SYMBOL_CRC(rxrpc_kernel_charge_accept, 0xedf19897, "");
SYMBOL_CRC(key_type_rxrpc, 0x92a5a063, "");
SYMBOL_CRC(rxrpc_get_server_data_key, 0xfd92d6f1, "");
SYMBOL_CRC(rxrpc_get_null_key, 0x76ace16d, "");
SYMBOL_CRC(rxrpc_kernel_get_call_peer, 0x9128ebaf, "");
SYMBOL_CRC(rxrpc_kernel_get_srtt, 0x8f113812, "");
SYMBOL_CRC(rxrpc_kernel_remote_srx, 0xaf56d2ea, "");
SYMBOL_CRC(rxrpc_kernel_remote_addr, 0x3631d166, "");
SYMBOL_CRC(rxrpc_kernel_set_peer_data, 0xd8bbae89, "");
SYMBOL_CRC(rxrpc_kernel_get_peer_data, 0x5a707ffc, "");
SYMBOL_CRC(rxrpc_kernel_recv_data, 0xec93e826, "");
SYMBOL_CRC(rxrpc_kernel_send_data, 0x831163da, "");
SYMBOL_CRC(rxrpc_kernel_abort_call, 0x728e0149, "");
SYMBOL_CRC(rxrpc_kernel_set_tx_length, 0xee85c8b6, "");
SYMBOL_CRC(rxrpc_sock_set_security_keyring, 0xd458d0df, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x896c49d8, "proc_doulongvec_minmax" },
	{ 0xa4617368, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x1e326a89, "iov_iter_kvec" },
	{ 0x531b604e, "__virt_addr_valid" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0x40235c98, "_raw_write_unlock" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x2837f687, "unregister_pernet_device" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xb1518e15, "cancel_work" },
	{ 0x911c47da, "lock_sock_nested" },
	{ 0x3351a60d, "kthread_stop" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x72e51190, "skb_copy_datagram_iter" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x91f44510, "idr_alloc_cyclic" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0x1884229d, "udp_sendmsg" },
	{ 0x11089ac7, "_ctype" },
	{ 0xdaca763b, "sk_alloc" },
	{ 0xf250d10e, "bpf_trace_run1" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x01865bfe, "__sock_recv_wifi_status" },
	{ 0x95f0e83e, "sock_no_socketpair" },
	{ 0xfb578fc5, "memset" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xba349974, "key_revoke" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x26fa2922, "kmem_cache_alloc_noprof" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0xfa36dd27, "sock_no_mmap" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xcf4fdd4d, "_atomic_dec_and_lock" },
	{ 0x47b53d5d, "key_validate" },
	{ 0x274f5527, "crypto_alloc_sync_skcipher" },
	{ 0x4fcef7df, "__kmem_cache_create_args" },
	{ 0x09e3798e, "setup_udp_tunnel_sock" },
	{ 0xe336169d, "proc_remove" },
	{ 0x51b6f844, "udp_sock_create6" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x4021cc1f, "kthread_create_on_node" },
	{ 0xfab76dd0, "bpf_trace_run3" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x0dee6953, "cpu_number" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x741aa3d2, "__preempt_count" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x3bd11740, "ipv4_mtu" },
	{ 0xf271014f, "trace_event_buffer_reserve" },
	{ 0xbb522a89, "keyring_search" },
	{ 0xf3d7e86e, "ip_sock_set_recverr" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc622556f, "prepare_to_wait_exclusive" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xe96d0d0d, "request_key_tag" },
	{ 0x92dfb832, "generic_key_instantiate" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x806537ce, "seq_write" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x6d5f5b91, "radix_tree_tagged" },
	{ 0x98cf191a, "__kmalloc_cache_noprof" },
	{ 0x03c12dfe, "cancel_work_sync" },
	{ 0xdbac3cc6, "sock_no_getname" },
	{ 0x950022ed, "validate_usercopy_range" },
	{ 0x56470118, "__warn_printk" },
	{ 0xfb471f37, "seq_printf" },
	{ 0x6bd0e573, "down_interruptible" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xcd48a00e, "skb_copy" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x719e589e, "skb_clone" },
	{ 0x0c3690fc, "_raw_spin_lock_bh" },
	{ 0x58b31f79, "dst_release" },
	{ 0xecc64a3a, "_copy_from_iter" },
	{ 0xfe8c61f0, "_raw_read_lock" },
	{ 0xcfc83b51, "sock_release" },
	{ 0x7adc0fbf, "rb_replace_node_rcu" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xffae8e8b, "nsecs_to_jiffies" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x99021382, "sock_no_ioctl" },
	{ 0x4ce9be02, "_proc_mkdir" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x1a3d69fc, "unregister_net_sysctl_table" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xa9320d27, "ktime_get_seconds" },
	{ 0xe8b5f01b, "__seq_puts" },
	{ 0xdae93f68, "page_frag_cache_drain" },
	{ 0xcde435a5, "__page_frag_alloc_align" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0x91036c83, "bpf_trace_run7" },
	{ 0xf2e8b575, "ip_icmp_error" },
	{ 0xce93953a, "iov_iter_revert" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x50944630, "seq_list_start_head_rcu" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xa7d7e6ef, "kernel_sendmsg" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x479d50f9, "skb_to_sgvec" },
	{ 0xeee2eef7, "register_pernet_device" },
	{ 0xcaa4e615, "skb_condense" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xe2f220b1, "sock_init_data" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x61f95f3d, "kmalloc_caches" },
	{ 0x53bbefe1, "__trace_set_current_state" },
	{ 0xd5d5a897, "kmem_cache_destroy" },
	{ 0x50a8f65e, "release_sock" },
	{ 0xcb4b3de7, "skb_queue_head" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x7616666c, "proc_create_net_single_write" },
	{ 0xc52851ea, "crypto_alloc_skcipher" },
	{ 0x3eca0c01, "proc_dointvec_minmax" },
	{ 0x2dc83b2f, "crypto_skcipher_encrypt" },
	{ 0x48112d76, "_raw_read_lock_irq" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x6cffa91c, "key_alloc" },
	{ 0x0020ee96, "bpf_trace_run4" },
	{ 0x001a6cc7, "skb_copy_bits" },
	{ 0x20978fb9, "idr_find" },
	{ 0x1bb837e1, "param_ops_uint" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0x94a81d00, "consume_skb" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x3d5ad45d, "trace_raw_output_prep" },
	{ 0xa58af0a6, "_raw_read_unlock_irq" },
	{ 0x7068428f, "udp_sock_create4" },
	{ 0x510f3cb1, "bpf_trace_run6" },
	{ 0xf346231f, "seq_list_start_head" },
	{ 0x909698eb, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xd6f8a13f, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0x3bb940e2, "trace_event_printf" },
	{ 0x67b78eb3, "seq_hlist_next_rcu" },
	{ 0xb05a45bf, "this_cpu_off" },
	{ 0xde293f9e, "add_wait_queue_exclusive" },
	{ 0x1be7cea3, "set_user_nice" },
	{ 0xcf2a6966, "up" },
	{ 0x4f06def4, "udpv6_sendmsg" },
	{ 0xfedf8c81, "unregister_key_type" },
	{ 0x93fdfa82, "__kmalloc_node_track_caller_noprof" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x52473e3f, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0xc5b183e5, "key_type_keyring" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0x6ca3f66e, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0x3e9c51eb, "crypto_skcipher_setkey" },
	{ 0x221c0b89, "ip_route_output_flow" },
	{ 0x182e8e1e, "bpf_trace_run8" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x0c252c07, "key_instantiate_and_link" },
	{ 0x0479aac1, "seq_list_next_rcu" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xc84a0a7e, "seq_hlist_start_rcu" },
	{ 0x54bebfc9, "register_key_type" },
	{ 0xf13f6d3d, "proc_create_net_data" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xa938cc21, "minmax_running_min" },
	{ 0x36f86fac, "put_cmsg" },
	{ 0xba34c4d2, "wake_up_process" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0xb92a190e, "trace_event_buffer_commit" },
	{ 0x9feed7ce, "timer_reduce" },
	{ 0x83ffd91e, "register_net_sysctl_sz" },
	{ 0x6b7ca4c4, "crypto_destroy_tfm" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x970038d5, "empty_zero_page" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x88e1d0f0, "page_frag_free" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xad9ded56, "proto_unregister" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x01000e51, "schedule" },
	{ 0x5573f640, "ipv6_icmp_error" },
	{ 0x3b490e97, "sock_register" },
	{ 0x3028ff4f, "__tracepoint_sched_set_state_tp" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x85d8473c, "crypto_skcipher_decrypt" },
	{ 0x43d65fb2, "make_kuid" },
	{ 0xf0f0f355, "ip6_route_output_flags" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0x3ae83ef2, "proto_register" },
	{ 0x681549bc, "init_wait_var_entry" },
	{ 0xce63b15f, "skb_queue_tail" },
	{ 0x5e332b52, "__var_waitqueue" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x0c2c5802, "work_busy" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x4ef4e4db, "__sock_recv_timestamp" },
	{ 0x08407f28, "key_put" },
	{ 0x08b38092, "perf_trace_buf_alloc" },
	{ 0x3a8ade37, "perf_trace_run_bpf_submit" },
	{ 0xb0d0b936, "init_net" },
	{ 0x02ddb208, "skb_pull" },
	{ 0xbc01ddc0, "proc_doulongvec_ms_jiffies_minmax" },
	{ 0xa07a37f0, "memchr" },
	{ 0xd0af9847, "ip_sock_set_mtu_discover" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xf450b640, "ip6_mtu" },
	{ 0x155440c4, "sk_skb_reason_drop" },
	{ 0x6626afca, "down" },
	{ 0xfbfc9153, "bpf_trace_run5" },
	{ 0x14f2d530, "sk_free" },
	{ 0x9c29593a, "sock_wake_async" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xae31174f, "kernel_sock_shutdown" },
	{ 0xe0ce7cf1, "sock_no_accept" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xe68efe41, "_raw_write_lock" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x84bb2c52, "kmem_cache_free" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xdeea02df, "const_current_task" },
	{ 0x10ec8f68, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel");


MODULE_INFO(srcversion, "5FF7FD1EE8B02BC46D1B24E");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
